
Name: gnome-encfs-manager
Version: 1.8.10
Release: 1
#%{?dist}
Summary: An easy to use manager and mounter for encfs stashes
License: GPL
Group: Applications/System
Source0: https://launchpad.net/gencfsm/trunk/1.8/+download/%{name}_%{version}.tar.gz
Url: https://launchpad.net/gencfsm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: x86_64
AutoReqProv: no

BuildRequires: vala
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: libgee06-devel
BuildRequires: gtk3-devel
BuildRequires: libSM-devel
BuildRequires: libgnome-keyring-devel
Requires: fuse-encfs
Requires: libgee06-devel
Requires: gtk3-devel
Requires: libSM
Requires: libgnome-keyring
Requires: ice

%description
An easy to use manager and mounter for encfs stashes

%prep
%setup -q 

%build
./autogen.sh
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
      --libexecdir=/usr/lib/$pkgname --disable-appindicator
make

%install
rm -rf $RPM_BUILD_ROOT/*

make DESTDIR=%{buildroot} install

%files

%defattr(-,root,root,-)
%{_bindir}/gnome-encfs-manager
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/com.libertyzero.%{name}.service
%{_datadir}/glib-2.0/schemas/com.libertyzero.%{name}.gschema.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/*
%{_datadir}/icons/Humanity/*
%{_datadir}/icons/Humanity-Dark/*
%{_datadir}/icons/Mint-X/*

%post
glib-compile-schemas /usr/share/glib-2.0/schemas
gtk-update-icon-cache

%changelog

